serverHost: 172.21.225.11
port: 8445

baseUrl: "/ihm-recette"
baseUri: "/ihm-recette"

jettyConfig: jetty-config.xml
authentication: true
enableXsrFilter: true
enableSession: true

secureMode:
  - authc
sipDirectory: /vitam/data/ihm-recette/test-data
performanceReportDirectory: /vitam/data/ihm-recette/report/performance

testSystemSipDirectory: /vitam/data/ihm-recette/test-data/system
testSystemReportDirectory: /vitam/data/ihm-recette/report/system
ingestMaxThread: 5

urlWorkspace: http://workspace.service.consul:8201/

# Configuration MongoDB
mongoDbNodes:
  - dbHost: 172.28.2.211
    dbPort: 27017
# Actually need this field for compatibility
dbName: admin
# @integ: parametrize it !
masterdataDbName: masterdata
logbookDbName: logbook
metadataDbName: metadata
dbAuthentication: true
dbUserName: vitamdb-admin
dbPassword: azerty

# ElasticSearch
clusterName: elasticsearch-data
elasticsearchNodes:
  - hostName: 172.20.225.140
    httpPort: 9200

# Functional Admin Configuration
functionalAdminAdmin:
  functionalAdminServerHost: functional-administration.service.consul
  functionalAdminServerPort: 18004
  adminBasicAuth:
    userName: adminUser
    password: adminPassword

# ES index configuration
functionalAdminIndexationSettings:
  default_config:
    number_of_shards: 1
    number_of_replicas: 0


metadataIndexationSettings:
  default_config:
    unit:
      number_of_shards: 1
      number_of_replicas: 0
      mappingFile: /vitam/conf/ihm-recette/mapping/unit-es-mapping.json
    objectgroup:
      number_of_shards: 1
      number_of_replicas: 0
      mappingFile: /vitam/conf/ihm-recette/mapping/og-es-mapping.json



elasticsearchConfigurationFile: /vitam/conf/ihm-recette/elasticsearch-settings/elasticsearch-configuration.json
logbookIndexationSettings:
  default_config:
    logbookoperation:
      number_of_shards: 1
      number_of_replicas: 0


